Name: sugar-network-webui
Version: 0.9
Epoch: 1
Release: 18.1
Group: Development/Tools/Other
Summary: Web UI client for Sugar Network server
License: GPLv3+
Url: http://wiki.sugarlabs.org/go/Platform_Team/Sugar_Network/Browser

Source: sugar-network-webui-0.9.tar.gz
Source1: sweet.tar.gz



Requires: flask
Requires: flask-babel
Requires: flask-classy

BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no
BuildArch: noarch

%description
Web UI client for Sugar Network server

%prep
%setup -n sugar-network-webui-0.9

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build



%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

install -m 0755 -d %{buildroot}/.dest/`python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()'` && cp -r sugar_network_webui %{buildroot}/.dest/`python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()'`/sugar_network_webui && true
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /usr '' '' >> sugar-network-webui.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sugar-network-webui
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sugar-network-webui/pydirs)
echo /opt/sweets/sugar-network-webui/pydirs >> sugar-network-webui.files

%post
test -e /opt/sweets/sugar-network-webui/pydirs && for i in `cat /opt/sweets/sugar-network-webui/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sugar-network-webui/pydirs && for i in `cat /opt/sweets/sugar-network-webui/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sugar-network-webui.files

%changelog
